*-----------------------------------------*;  
* Author:      Kriss Harris               *;
* Email:       ITALJET125@YAHOO.COM       *;
* Description: Basic Box Plot             *;
* Purpose:     Hands-On GTL Part A        *;
*              SAS Global Forum 2017      *;
*	           794                        *;
*-----------------------------------------*;                              

* Setting up paths;
%macro start;
  %let a=%sysget(SAS_EXECFILEPATH);
  %let b=%sysget(SAS_EXECFILENAME);

  %global path;
  %let path= %sysfunc(tranwrd(&a,%str(exercises\)&b,%str(startup\setup.sas)));
  %put &path;
%mend;
%start;

%include "&path";
libname source "&inpath";

proc format;
  value trtfmt 0 = "Placebo"
              54 = "Xanomeline Low Dose"
			  81 = "Xanomeline High Dose";
run;

*---------------------------------------------------------------*;
*					    Datasets								*;	
*---------------------------------------------------------------*;

* ADLBC;
data adlbc_all;
  set source.adlbc;
  where param in ("Creatinine (umol/L)") and ablfl ne "Y";
run;

proc template;
  define statgraph boxplot_template;
    begingraph;
	  layout overlay;
	    boxplot x = trtan y = aval / group = trtan groupdisplay = cluster;
	  endlayout;
	endgraph;
  end;
run;

proc sort data = adlbc_all;
  by param;
run;

ods listing gpath = "&outpath";
ods graphics / reset = all imagename = "boxplot";

proc sgrender data = adlbc_all template = boxplot_template;
  by param;
  format trtan trtfmt.;
run;

ods graphics / reset = all;
goptions reset = all;
